# For core and gui libraries
%define	major 3
%define	libname %mklibname %{name} %{major}
# For tag (and old libaudclient) library
%define	major2 2
# For Qt5 interface library
%define	major3 0
# For removing old library providing libaudclient
%define	libname2 %mklibname %{name} %{major2}
%define	libname_devel %mklibname %{name} -d


Summary:	A versatile and handy media player
Name:		audacious
Version:	3.7.2
Release:	3
Epoch:		5
License:	GPLv3+
Group:		Sound
Url:		http://audacious-media-player.org/
Source0:	http://distfiles.audacious-media-player.org/%{name}-%{version}.tar.bz2
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libguess)
BuildRequires:	pkgconfig(libmcs)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	desktop-file-utils
#BuildRequires:	chrpath
BuildRequires:	gettext
BuildRequires:	gtk-doc
Requires:	%{libname} = %{EVRD}
#Requires:	%%{libname2} = %%{EVRD}
# Dependency loop, but if we use "suggests" here then plugins 
# are not installed when audacious is installed into iso image
# (it is used in Mate now)
Requires:	audacious-plugins
Requires:	audacious-pulse
# For MIDI playing
Suggests:	fluidsynth

%description
Audacious is a media player based on the BMP music playing application.
Its primary goals are usability and usage of current desktop standards.

%files -f %{name}.lang
%doc AUTHORS COPYING
%{_bindir}/audtool
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}-qt.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man1/*

#-----------------------------------------------------------------------------

%package -n %{libname}
Group:		System/Libraries
Summary:	Library for %{name}
%rename		%{_lib}audacious1
%rename		%{libname2}

%description -n %{libname}
Audacious is a media player based on the BMP music playing application.
Its primary goals are usability and usage of current desktop standards.
This package contains the library needed by %{name}.

%files -n %{libname}
%doc AUTHORS COPYING
%{_libdir}/libaudcore.so.%{major}*
%{_libdir}/libaudgui.so.%{major}*
%{_libdir}/libaudtag.so.%{major2}*
%{_libdir}/libaudqt.so.%{major3}*

#-----------------------------------------------------------------------------
# Since 3.5.1 libaudclient is a separate package

#package -n %%{libname2}
#Group:		System/Libraries
#Summary:	Library for %%{name}


#description -n %%{libname2}
#Audacious is a media player based on the BMP music playing application.
#Its primary goals are usability and usage of current desktop standards.
#This package contains the library needed by %%{name}.

#files -n %%{libname2}
#doc AUTHORS COPYING
#{_libdir}/libaudclient.so.%%{major2}*

#-----------------------------------------------------------------------------

%package -n %{libname_devel}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{EVRD}
#Requires:	%%{libname2} = %%{EVRD}
Provides:	lib%{name}-devel = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{libname_devel}
Audacious is a media player based on the BMP music playing application.
Its primary goals are usability and usage of current desktop standards.
This package contains the files needed for developing applications
which use %{name}.

%files -n %{libname_devel}
%doc AUTHORS COPYING
%{_includedir}/%{name}
%{_includedir}/libaudcore
%{_includedir}/libaudgui
%{_includedir}/libaudqt
%{_libdir}/libaud*.so
%{_libdir}/pkgconfig/%{name}.pc

#-----------------------------------------------------------------------------

%prep
%setup -q


%build
%configure2_5x	--disable-rpath \
		--enable-qt
%make


%install
%makeinstall_std
# We use the above configure option
#chrpath -d %%{buildroot}%%{_bindir}/*

# Since we now enable the Qt5 interface,
# provide a .desktop file for running it by duplicating and adapting the original one
cp %{buildroot}%{_datadir}/applications/%{name}.desktop %{buildroot}%{_datadir}/applications/%{name}-qt.desktop
desktop-file-edit --set-key=Exec --set-value="%{name} --qt %U" \
		--remove-category=GTK --add-category=Qt \
		--add-only-show-in=KDE \
		%{buildroot}%{_datadir}/applications/%{name}-qt.desktop

# Fix .desktop file for gtk to not be shown in KDE
desktop-file-edit --add-not-show-in=KDE %{buildroot}%{_datadir}/applications/%{name}.desktop

# install the contributed appdata.xml file
install -d %{buildroot}%{_datadir}/appdata
install -m 644 contrib/%{name}.appdata.xml %{buildroot}%{_datadir}/appdata

%find_lang %{name}

# We have them in %%doc
rm -f %{buildroot}%{_datadir}/%{name}/{AUTHORS,COPYING}

%changelog

* Sat Apr 23 2016 Giovanni Mariani <mc2374@mclink.it> 5:3.7.2-3
- (485426a) Fix double menu entry on KDE


